# SkypeCheck

This is a small gem for checking skype username availability/existance.
When (for some reason) you need to check if some skype username exists, this gem 
should do the job for you.

##Install

gem install skype_check

## Usage
```ruby
require 'skype_check'

begin
  is_taken = SkypeCheck::Username.is_taken?('my_username') 
  #or
  is_available = SkypeCheck::Username.is_available?('my_username')
rescue SkypeCheck::QueryError, SkypeCheck::UsernameValidator => e
  #handle exception
  puts e.message
end
```
Requests are made to Skype's username validation endpoint, which points to
'https://login.skype.com/json/validator' at the time of this writing. 

But should Skype's endpoint change in the future, you set it like this

````ruby
SkypeCheck.configure { |c| c.username_validator_endpoint = '<new_url>' }
```

If you want to get back the full json response in a hash

```ruby
begin
  response = SkypeCheck::Username.query('my_username')
rescue SkypeCheck::QueryError, SkypeCheck::UsernameValidator => e
  #handle exception
  puts e.message
end
```


## Contributing

1. Fork it
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create new Pull Request

