require_relative '../spec_helper'
describe SkypeCheck do
  #cleanup
  after(:all) { SkypeCheck.configure { |c| c.username_validator_endpoint = SkypeCheck::Configuration::DEFAULT_ENDPOINT } }

  describe "Configuration" do

    context "Default configuration" do
      it "returns  a Configuration object with default settings" do
        expect(SkypeCheck.configuration.class.name).to eq("SkypeCheck::Configuration")
        expect(SkypeCheck.configuration.username_validator_endpoint).to eq('https://login.skype.com/json/validator')
      end
    end

    context "Manual configuration with a block" do
      it "should override default or previous settings" do
        SkypeCheck.configure do |c|
          c.username_validator_endpoint = 'new_url'
        end

        expect(SkypeCheck.configuration.username_validator_endpoint).to eq('new_url')
      end 
    end
  end
end 
